pqxx::const_reverse_tuple_iterator Class Reference

Reverse iterator for a tuple. Use as tuple::const_reverse_iterator. More...

`#include <tuple.hxx>`

Inheritance diagram for pqxx::const_reverse_tuple_iterator:

## Public Types

typedef const_tuple_iterator | super
typedef const_tuple_iterator | iterator_type
typedef tuple::difference_type | difference_type
typedef field | reference

## Public Member Functions

| const_reverse_tuple_iterator (const const_reverse_tuple_iterator &r)
| const_reverse_tuple_iterator (const super &rhs) throw ()
iterator_type PQXX_PURE | base () const throw ()
Manipulations
const_reverse_tuple_iterator & | operator= (const const_reverse_tuple_iterator &r)
const_reverse_tuple_iterator | operator++ ()
const_reverse_tuple_iterator | operator++ (int)
const_reverse_tuple_iterator & | operator-- ()
const_reverse_tuple_iterator | operator-- (int)
const_reverse_tuple_iterator & | operator+= (difference_type i)
const_reverse_tuple_iterator & | operator-= (difference_type i)
Arithmetic operators
const_reverse_tuple_iterator | operator+ (difference_type i) const
const_reverse_tuple_iterator | operator- (difference_type i)
difference_type | operator- (const const_reverse_tuple_iterator &rhs) const
Comparisons
bool | operator== (const const_reverse_tuple_iterator &rhs) const throw ()
bool | operator!= (const const_reverse_tuple_iterator &rhs) const throw ()
bool | operator< (const const_reverse_tuple_iterator &rhs) const
bool | operator<= (const const_reverse_tuple_iterator &rhs) const
bool | operator> (const const_reverse_tuple_iterator &rhs) const
bool | operator>= (const const_reverse_tuple_iterator &rhs) const

## Detailed Description

Reverse iterator for a tuple. Use as tuple::const_reverse_iterator.

## Member Typedef Documentation

## difference_type

typedef tuple::difference_type pqxx::const_tuple_iterator::difference_type

## iterator_type

typedef const_tuple_iterator pqxx::const_reverse_tuple_iterator::iterator_type

## reference

typedef field pqxx::const_tuple_iterator::reference

## super

typedef const_tuple_iterator pqxx::const_reverse_tuple_iterator::super

## Constructor & Destructor Documentation

## const_reverse_tuple_iterator() [1/2]

pqxx::const_reverse_tuple_iterator::const_reverse_tuple_iterator | ( | const const_reverse_tuple_iterator & | r | ) |

## const_reverse_tuple_iterator() [2/2]

pqxx::const_reverse_tuple_iterator::const_reverse_tuple_iterator | ( | const super & | rhs | ) |
throw | ( |
| ) |  |

explicit

## Member Function Documentation

## base()

pqxx::const_tuple_iterator pqxx::const_reverse_tuple_iterator::base | ( |  | ) | const
throw | ( |
| ) |  |

## operator!=()

bool pqxx::const_reverse_tuple_iterator::operator!= | ( | const const_reverse_tuple_iterator & | rhs | ) | const
throw | ( |
| ) |  |

## operator+()

const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator+ | ( | difference_type | i | ) | const

## operator++() [1/2]

const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator++ | ( |  | ) |

## operator++() [2/2]

pqxx::const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator++ | ( | int |  | ) |

## operator+=()

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator+= | ( | difference_type | i | ) |

## operator-() [1/2]

const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator- | ( | difference_type | i | ) |

## operator-() [2/2]

difference_type pqxx::const_reverse_tuple_iterator::operator- | ( | const const_reverse_tuple_iterator & | rhs | ) | const

## operator--() [1/2]

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator-- | ( |  | ) |

## operator--() [2/2]

pqxx::const_reverse_tuple_iterator pqxx::const_reverse_tuple_iterator::operator-- | ( | int |  | ) |

## operator-=()

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator-= | ( | difference_type | i | ) |

## operator<()

bool pqxx::const_reverse_tuple_iterator::operator< | ( | const const_reverse_tuple_iterator & | rhs | ) | const

## operator<=()

bool pqxx::const_reverse_tuple_iterator::operator<= | ( | const const_reverse_tuple_iterator & | rhs | ) | const

## operator=()

const_reverse_tuple_iterator& pqxx::const_reverse_tuple_iterator::operator= | ( | const const_reverse_tuple_iterator & | r | ) |

## operator==()

bool pqxx::const_reverse_tuple_iterator::operator== | ( | const const_reverse_tuple_iterator & | rhs | ) | const
throw | ( |
| ) |  |

## operator>()

bool pqxx::const_reverse_tuple_iterator::operator> | ( | const const_reverse_tuple_iterator & | rhs | ) | const

## operator>=()

bool pqxx::const_reverse_tuple_iterator::operator>= | ( | const const_reverse_tuple_iterator & | rhs | ) | const

The documentation for this class was generated from the following files:

- tuple.hxx
- tuple.cxx